net.sourceforge.pmd.lang.java.rule

## Class ImportWrapper

- java.lang.Object
- - net.sourceforge.pmd.lang.java.rule.ImportWrapper

    public class ImportWrapper
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ImportWrapper(String fullname, String name, Node node)`

### Method Summary

Methods
`boolean` `equals(Object other)`
`String` `getFullName()`
`String` `getName()`
`Node` `getNode()`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ImportWrapper

    public ImportWrapper(String fullname,
                 String name,
                 Node node)

### Method Detail

#### equals

    public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### getName

    public String getName()

#### getFullName

    public String getFullName()

#### getNode

    public Node getNode()